
ONE Mercury - Task #3325

Feature # 3318 (Rejected): Mercury UI improvements from ESIP feedback need to be addressed

Improve sorting components for returned results

2012-10-10 15:31 - Chris Jones

Status: Rejected Start date: 2012-10-10

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 0%

Category:  Estimated time: 80.00 hours

Target version:    

Story Points:    

Description

There were two issues with the sorting capabilty for results:

1) alphabetical sorting by member node was incorrect.  It is sorting by node id, rather than node name.  It should always sort based

on the field being display so as to not confuse the user. However, there's not a clear use case for MN sort. Remove it from the sort

list.

2) Use a tooltip over on hover events for each sorting button that indicates how the sort is being done ('Sort member nodes

alphabetically')

3) Change label of the "Date" to "Start Date" to better highlight usage.

History

#1 - 2012-10-22 19:55 - Chris Jones

- Description updated

#2 - 2012-10-23 19:57 - Skye Roseboom

- Description updated

#3 - 2012-12-12 17:13 - Chris Jones

- Target version changed from Sprint-2012.44-Block.6.2 to Sprint-2012.50-Block.6.4

#4 - 2013-01-14 21:41 - Dave Vieglais

- translation missing: en.field_remaining_hours set to 80.0

- Estimated time set to 80.00

Requires lots of UI changes to support fields that are not listed in index (e.g. member node name)

#5 - 2013-03-01 18:37 - Skye Roseboom

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.10-Block.2.1

#6 - 2013-04-02 16:12 - Skye Roseboom

- Target version deleted (2013.10-Block.2.1)

#7 - 2018-01-09 02:35 - Dave Vieglais

- Status changed from New to Rejected
